import { PipeTransform } from '@nestjs/common';
import { Repository } from 'typeorm';
import { Entity as EntityClassOrSchema, QueryParams, QuerySchemaTypes } from '../../../types';
export declare class QueryTransformPipe<Entity extends EntityClassOrSchema> implements PipeTransform {
    private repository;
    constructor(repository: Repository<Entity>);
    transform(value: QuerySchemaTypes): Promise<QueryParams<Entity>>;
}
